Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004764 [JEDI VCL] 00 JVCL Components minor always 2009-05-04 10:40 2009-07-03 12:24
Reporter gpcaretti View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.36
Summary 0004764: TJvScrollText: when the property ScrollDirection is valued to drFromRight or drFromLeft, the scrolling text may be cut
Description When the text to be scrolled is longer than the TJvScrollText control, and
ScrollDirection is drFromRight or drFromLeft text is cut during scrolling .
Additional Information I patched the code, mainly into the method
    TJvScrollText.CalculateText(Sender: TObject)
See attached source code and look for the lines:
    // Gp Caretti
Tags No tags attached.
Attached Files zip file icon JvScrollText.last.zip [^] (3,714 bytes) 2009-05-05 12:20
zip file icon JvScrollTextBug.zip [^] (4,296 bytes) 2009-06-16 20:36

- Relationships
related to 0004766resolvedobones TJvScrollText: Code donation to provide events to TJvScrollText 

-  Notes
(0015514)
gpcaretti (reporter)
2009-05-05 12:20

Please, ignore the first attachment (I don't know how to delete it) and take the new one (JvScrollText.last.zip)
(0015696)
gpcaretti (reporter)
2009-06-16 20:36

Attached here a demo application to show the bug!
(0015750)
obones (administrator)
2009-07-03 12:24

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2009-05-04 10:40 gpcaretti New Issue
2009-05-04 10:40 gpcaretti File Added: JvScrollText.zip
2009-05-04 10:42 gpcaretti Issue Monitored: gpcaretti
2009-05-05 12:20 gpcaretti Note Added: 0015514
2009-05-05 12:20 gpcaretti File Added: JvScrollText.last.zip
2009-06-16 20:36 gpcaretti File Added: JvScrollTextBug.zip
2009-06-16 20:36 gpcaretti Note Added: 0015696
2009-07-03 11:57 obones Relationship added related to 0004766
2009-07-03 12:02 obones File Deleted: JvScrollText.zip
2009-07-03 12:24 obones Note Added: 0015750
2009-07-03 12:24 obones Status new => resolved
2009-07-03 12:24 obones Fixed in Version => Daily / SVN
2009-07-03 12:24 obones Resolution open => fixed
2009-07-03 12:24 obones Assigned To => obones
2009-07-30 16:03 gpcaretti Issue End Monitor: gpcaretti


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker